\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-6,-3) rectangle (7,3);
\fill[line width=1.5pt,color=A2,fill=A2] (-1,2) -- (2,2) -- (4,-2) -- (-3,-2) -- cycle;
\draw [color=Gris1, xstep=1cm,ystep=1cm] (-6,-3) grid (7,3);
\draw [line width=1.5pt] (-1,2)-- (2,2);
\draw [line width=1.5pt] (2,2)-- (4,-2);
\draw [line width=1.5pt] (4,-2)-- (-3,-2);
\draw [line width=1.5pt] (-3,-2)-- (-1,2);
\draw[color=black] (-1.25,2.25) node {$A$};
\draw[color=black] (2.25,2.25) node {$B$};
\draw[color=black] (4.25,-2.25) node {$C$};
\draw[color=black] (-3.25,-2.25) node {$D$};
\draw [color=black] (2,-1)-- ++(-2.5pt,-2.5pt) -- ++(5pt,5pt) ++(-5pt,0) -- ++(5pt,-5pt);
\draw[color=black] (2.25,-0.75) node {$T$};
\end{tikzpicture}
\end{document}